// rectangle.prg

#include "class(y).ch"


CREATE CLASS Rectangle
EXPORT:
    VAR     top, left       READONLY
    VAR     bottom, right   READONLY

    METHOD  init
    METHOD  set

	// New v2.4 ACCESS clause below allows method results
	// to be viewed in the Enhanced Object Inspector
    METHOD  width, height	ACCESS
    METHOD  area			ACCESS 
END CLASS


METHOD init( top, left, bottom, right ), ()
    self:set( top, left, bottom, right )
RETURN self


METHOD set( top, left, bottom, right )
    IF top <> NIL
        self:top := top
    END
    IF left <> NIL
        self:left := left
    END
    IF bottom <> NIL
        self:bottom := bottom
    END
    IF right <> NIL
        self:right := right
    END
RETURN self


METHOD width
RETURN self:right - self:left + 1


METHOD height
RETURN self:bottom - self:top + 1


METHOD area
RETURN self:width * self:height


// eof rectangle.prg
